﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Shapes;

namespace WpfApplication3
{
    /// <summary>
    /// Interaction logic for Window1.xaml
    /// </summary>
    public partial class Window1 : Window
    {
        public Window1()
        {
            InitializeComponent();

            this.DataContext = (from c in Enumerable.Range(0, 10) select new User { ID = c, UserName = "User Name " + c }).ToList();
        }

        public class User
        {
            public int ID { get; set; }
            public string UserName { get; set; }
        }

        private void ListBox_DragInfo(object sender, Telerik.Windows.Controls.DragDrop.DragDropEventArgs e)
        {
            if (e.Options.DropDataObject == null)
            {
                e.Options.DropDataObject = new DataObject(((User)e.Options.Source.DataContext).UserName);
            }
        }

		private void ListBox_DragQuery(object sender, Telerik.Windows.Controls.DragDrop.DragDropQueryEventArgs e)
		{
			if (e.Options.DropDataObject == null)
			{
				e.Options.DropDataObject = new DataObject(((User)e.Options.Source.DataContext).UserName);
			}

			e.QueryResult = true;
		}
    }
}
